#ifndef PROCESSOPENFILE_H
#define PROCESSOPENFILE_H

#include "src/process/processbasic.h"

class ProcessOpenFile : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessOpenFile(QString, QObject *parent = nullptr);
    ~ProcessOpenFile();
public:
    void setFile(QString);
    void exec();
protected:
    bool prepare();
protected slots:
    void slotsStart(){}
    void slotsError();
    void slotsOutput(){}
    void slotsFinished(int, QProcess::ExitStatus);
private:
    QProcess   *m_oPeony;
    QStringList m_oPeonyArgs;
};

#endif // PROCESSOPENFILE_H
